## Preview

### Edge Dark

![edge-dark](https://paste.sainnhe.dev/XHEF.png)

### Edge Light

![edge-light](https://paste.sainnhe.dev/SYyp.png)

### Everforest Dark

![everforest-dark](https://paste.sainnhe.dev/mfmK.png)

### Everforest Light

![everforest-light](https://paste.sainnhe.dev/h7Y7.png)

### Gruvbox Dark

![gruvbox-dark](https://paste.sainnhe.dev/Fc6P.png)

### Gruvbox Light

![gruvbox-light](https://paste.sainnhe.dev/Tp6N.png)

### Gruvbox Material Dark

![gruvbox-material-dark](https://paste.sainnhe.dev/J4EW.png)

### Gruvbox Material Light

![gruvbox-material-light](https://paste.sainnhe.dev/cGnE.png)

### Nord

![nord](https://paste.sainnhe.dev/6pxH.png)

### Palenight

![palenight](https://paste.sainnhe.dev/xasf.png)

### Soft Era

![soft-era](https://paste.sainnhe.dev/WXrb.png)

### Sonokai

![sonokai](https://paste.sainnhe.dev/DYTA.png)

### Sonokai Andromeda

![sonokai-andromeda](https://paste.sainnhe.dev/prHH.png)

### Sonokai Atlantis

![sonokai-atlantis](https://paste.sainnhe.dev/Fx8d.png)

### Sonokai Espresso

![sonokai-espresso](https://paste.sainnhe.dev/nByy.png)

### Sonokai Maia

![sonokai-maia](https://paste.sainnhe.dev/KNWD.png)

### Sonokai Shusia

![sonokai-shusia](https://paste.sainnhe.dev/MSiH.png)

## Introduction

This is a port of some editor themes for Gitea (>= 1.18.0).

List of available themes:

- `edge-auto`
- `edge-dark`
- `edge-light`
- `everforest-auto`
- `everforest-dark`
- `everforest-light`
- `gruvbox-auto`
- `gruvbox-dark`
- `gruvbox-light`
- `gruvbox-material-auto`
- `gruvbox-material-dark`
- `gruvbox-material-light`
- `nord`
- `palenight`
- `soft-era`
- `sonokai`
- `sonokai-andromeda`
- `sonokai-atlantis`
- `sonokai-espresso`
- `sonokai-maia`
- `sonokai-shusia`

Themes with `auto` postfix will automatically switch between light and dark variants based on system settings.

## Installation

Take `edge-dark` for example.

### If Gitea is deployed via Docker

First of all, find the `CustomPath` via this command:

```bash
sudo docker exec -u <run-user> <gitea-container-name> gitea help
```

Where `<run-user>` is the value of `RUN_USER` in your Gitea config, default to `git`;

and `<gitea-container-name>` is the container name of your gitea instance that can be found via `docker ps`.

Now execute the following command to install this theme:

```bash
sudo docker exec -u <run-user> <gitea-container-name> sh -c 'mkdir -p <custom-path>/public/css && curl --output-dir <custom-path>/public/css -LO https://git.sainnhe.dev/sainnhe/gitea-themes/raw/branch/master/dist/theme-edge-dark.css'
```

Replace `<custom-path>` with the `CustomPath` in this command.

Then edit your Gitea config like this:

```dosini
[ui]
DEFAULT_THEME = auto
THEMES = auto,gitea,arc-green,edge-dark
```

Restart Gitea instance to apply change.

### If Gitea is not deployed via Docker

```bash
mkdir -p <custom-path>/public/css && curl --output-dir <custom-path>/public/css -LO https://git.sainnhe.dev/sainnhe/gitea-themes/raw/branch/master/dist/theme-edge-dark.css
```

Where `<custom-path>` can be found via `gitea help`.

Then edit your Gitea config like this:

```dosini
[ui]
DEFAULT_THEME = auto
THEMES = auto,gitea,arc-green,edge-dark
```

Restart Gitea instance to apply change.

## Meta tag

If you want to change the color of browser tabs / toolbar to match this theme, add `THEME_COLOR_META_TAG` to your config:

```dosini
[ui]
DEFAULT_THEME = auto
THEMES = auto,gitea,arc-green,edge-dark
THEME_COLOR_META_TAG = `#333644`
```

List of meta tag colors of each theme (excluding `*-auto` themes):

- `edge-dark`: `#333644`
- `edge-light`: `#eef1f4`
- `everforest-dark`: `#323c41`
- `everforest-light`: `#f3efda`
- `gruvbox-dark`: `#32302f`
- `gruvbox-light`: `#f4e8be`
- `gruvbox-material-dark`: `#32302f`
- `gruvbox-material-light`: `#f4e8be`
- `nord`: `#343b49`
- `palenight`: `#2c3043`
- `soft-era`: `#f4f0f0`
- `sonokai`: `#33353f`
- `sonokai-andromeda`: `#333648`
- `sonokai-atlantis`: `#333846`
- `sonokai-espresso`: `#393230`
- `sonokai-maia`: `#313b42`
- `sonokai-shusia`: `#37343a`

## License

[GPL 3](./LICENSE) © sainnhe
